Bug 335377 - Visual Polish: Battery Icon consistency
Summary: Visual Polish: Battery Icon consistency
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Battery Monitor (show other bugs)
Version: master
Platform: unspecified Linux
: NOR normal
Target Milestone: 1.0
Assignee: Kai Uwe Broulik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-26 16:03 UTC by Andrew Lake
Modified: 2014-06-10 19:04 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Opportunity to improve icon use consistency (118.14 KB, image/png)
2014-05-26 16:05 UTC, Andrew Lake
Details
Updated battery.svgz with new icons (10.59 KB, image/svg+xml-compressed)
2014-06-10 04:51 UTC, Andrew Lake
Details
Patch file to use the the new elements in the battery.svgz theme file (6.17 KB, patch)
2014-06-10 04:55 UTC, Andrew Lake
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lake 2014-05-26 16:03:47 UTC
Consistency could be improved if the same icon used on the panel were used in the in the open applet.

Reproducible: Always
Comment 1 Andrew Lake 2014-05-26 16:05:16 UTC
Created attachment 86832 [details]
Opportunity to improve icon use consistency

The network manager is provided as a reference point.
Comment 2 Kai Uwe Broulik 2014-05-26 16:08:55 UTC
*cough* I posted a thread on the VDG forums about exactly that almost 2 months ago but nobody cared.

http://forum.kde.org/viewtopic.php?f=285&t=120513
Comment 3 Andrew Lake 2014-05-26 16:20:01 UTC
Unfortunately I completely missed that request on the forums Kai. So sorry. I've responded there.
Comment 4 Andrew Lake 2014-06-10 04:51:15 UTC
Created attachment 87098 [details]
Updated battery.svgz with new icons

This updated theme file contains the new icon assets from the VDG request.
Comment 5 Andrew Lake 2014-06-10 04:55:10 UTC
Created attachment 87099 [details]
Patch file to use the the new elements in the battery.svgz theme file

A patch file for the battery monitor qml files to use the new icon elements in the updated battery.svgz theme file.
Comment 6 Andrew Lake 2014-06-10 19:04:12 UTC
Git commit 2d97851b8ad9991bffb05419fbde3d9888484ce1 by Andrew Lake.
Committed on 10/06/2014 at 16:10.
Pushed by alake into branch 'master'.

use new icons in battery.svgz theme file. Also minor updates to improve icon with text vertical alignment.

REVIEW:118644

M  +30   -2    applets/batterymonitor/contents/ui/BatteryIcon.qml
M  +10   -8    applets/batterymonitor/contents/ui/BatteryItem.qml
M  +9    -5    applets/batterymonitor/contents/ui/BrightnessItem.qml
M  +2    -2    applets/batterymonitor/contents/ui/PopupDialog.qml

http://commits.kde.org/plasma-workspace/2d97851b8ad9991bffb05419fbde3d9888484ce1